package edu.wpi.aipaint.ai;

import edu.wpi.aipaint.pipeline.Action;

public class BTLeafNode implements IBTLeafNode {
	protected Action action;
	protected IBTDecisionNode parent;

	public BTLeafNode(IBTDecisionNode parent, Action action) {
		this.action = action;
		this.parent = parent;
	}

	/**
	 * @return The {@link Action} at this leaf
	 */
	public Action getAction() {
		return this.action;
	}

	public String toXML() {
		throw new UnsupportedOperationException();
	}

	public String treePrint(int p_depth) {
		String ret = "";
		for (int i = 0; i < p_depth; i++) {
			ret += "|\t";
		}
		return ret + "BTLeafNode [" + this.action + "]\n";
	}

	@Override
	public IBTDecisionNode getParent() {
		return this.parent;
	}

	@Override
	public void setParent(IBTDecisionNode parent) {
		this.parent = parent;
	}
}