package edu.wpi.aipaint.ai;

public class BTMergeException extends Exception {
	public enum MERGE_ERROR_TYPE {
		NON_TRIVIAL_MERGE,
		EXISTING_NODE
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private MERGE_ERROR_TYPE errType;
	
	public BTMergeException(String message, MERGE_ERROR_TYPE errType) {
		super(message);
		this.errType = errType;
	}

	public MERGE_ERROR_TYPE getErrType() {
		return errType;
	}
}
