package edu.wpi.aipaint.discourse;

import java.awt.Component;
import java.util.List;

import javax.swing.JOptionPane;

import edu.wpi.aipaint.main.IQuestion;

public class PopupQuestionAsker implements IQuestion {
	Component parent;
	
	public PopupQuestionAsker(Component parent) {
		this.parent = parent;
	}
	
	
	@Override
	public String askMultipleChoiceQuestion(String question,
			List<String> answers) throws Exception {
		Object[] possibilities = answers.toArray();
        String s = (String)JOptionPane.showInputDialog(
                            parent,
                            question,
                            "Customized Dialog",
                            JOptionPane.QUESTION_MESSAGE,
                            null,
                            possibilities,
                            possibilities[0]);

        //If a string was returned, say so.
        if ((s != null) && (s.length() > 0)) {
            return(s);
        }

        throw new Exception("No valid selection made");

	}

}
