package edu.wpi.aipaint.pipeline;

import java.util.List;


/**
 * Defines a unit of user input in the Sketcho language.
 */
public interface Statement {
	/**
	 * @return A List of Directions defining this Statement's intent in the 
	 * form of a modification to an AI data representation.
	 */
	public List<Direction> translate();
}
