package actions;

import java.awt.Point;

import edu.wpi.aipaint.main.WorldState;
import edu.wpi.aipaint.pipeline.AIAgent;
import edu.wpi.aipaint.pipeline.Action;

public class GoToPointAction implements MoveAction {
	int x, y;

	public GoToPointAction(int y, int x) {
		this.y = y;
		this.x = x;
	}

	@Override
	public Action execute(AIAgent agent) {
		return null;
	}

	public String toString() {
		return "GoToPointAction [(" + this.y + "," + this.x + ")]";
	}

	@Override
	public Point getDestination(AIAgent agent, WorldState worldState) {
		return new Point(x, y);
	}
}
