package edu.wpi.aipaint.main;

/**
 * Represents a component of AIPaint that may present a user interface.
 */
public interface Module {
	public void activate(MainWindow window);
	public void deactivate();
	public String getName();
	public void tick();
}
