package edu.wpi.aipaint.shapedetector;

/**
 * Class for shape recognition. We don't use java.awt points because they store ints and we want to work with floats
 */
public class Point {
	public float X;
	public float Y;
	
	public Point(float X, float Y) {
		this.X = X;
		this.Y = Y;
	}

	public Point(java.awt.Point point) {
		this.X = point.x;
		this.Y = point.y;
	}
	
	public String toString() {
		return "(" + X + ", " + Y + ")";
	}
}
