package edu.wpi.aipaint.sketcho;

import java.awt.Color;

import edu.wpi.aipaint.util.Vector2;

public class DrawableString {
	private String text;
	private Vector2 drawPoint;
	private Color color;
	
	public DrawableString(String text, Vector2 drawPoint, Color color) {
		this.text = text;
		this.drawPoint = drawPoint;
		this.color = color;
	}
	
	public String getText() {
		return text;
	}
	
	public Vector2 getDrawPoint() {
		return drawPoint;
	}
	
	public Color getColor() {
		return color;
	}
}
