package edu.wpi.aipaint.sketcho;

import java.util.ArrayList;

import edu.wpi.aipaint.util.Line.LineFonts;

public abstract class SketchoActionStatement extends SketchoStatement {
	public ArrayList<SketchoStatement> getChildren() {
		return new ArrayList<SketchoStatement>();
	}
	
	@Override
	public int numberChildrenNeeded() {
		return 0;
	}
	
	public void addChild(SketchoStatement child) throws Exception {
		throw new Exception("Action statements don't get children!");
	}
	
	public Iterable<DrawableString> getDrawableWords() {
		return new ArrayList<DrawableString>();
	}
	
	public boolean fitsSyntaxTree() {
		return true;
	}
	
	public LineFonts getChildFont(int childIndex) {
		return LineFonts.solid;
	}
}
