package edu.wpi.aipaint.sketcho;

public class SketchoId {
	private static int lastUsedId = 0;
	private final int myId;
	
	public SketchoId() {
		myId = lastUsedId++;
	}
	
	public boolean equals(Object o) {
		SketchoId other = (SketchoId)o;
		return myId == other.getIdNum();
	}
	
	public int getIdNum() {
		return myId;
	}
	
	public String getIdString() {
		return Integer.toString(myId);
	}
}
