package actions;

import java.awt.Point;

import pacman.Thing;
import edu.wpi.aipaint.main.Poseable;
import edu.wpi.aipaint.main.WorldState;
import edu.wpi.aipaint.pipeline.AIAgent;
import edu.wpi.aipaint.pipeline.Action;

public class GoToPoseableAction implements MoveAction {
	Poseable target;

	public GoToPoseableAction(Poseable target) {
		this.target = target;
	}

	@Override
	public Action execute(AIAgent agent) {
		return null;
	}
	
	public Point getDestination(AIAgent agent, WorldState worldState) {
		// to access location information
		Thing t = (Thing) this.target;
		
		return new Point(t.getM_locX(), t.getM_locY());
	}

	public String toString() {
		return "GoToPoseableAction [" + this.target.toString() + "]";
	}
}
